package p2.application.tenterprise_userdetail;

import baseclass.PaoCust;
import p2.pao.PaoSet;
import p2.util.P2Exception;
import p2.application.tenterprise_users.tenterprise_users;

public class tenterprise_userdetail extends PaoCust {
    public tenterprise_userdetail(PaoSet arg0) {
        super(arg0);
    }

    @Override
    public void add() throws P2Exception {
        super.add();
        if (getOwner() instanceof tenterprise_users) {
            setValue("fparentid", getOwner().getUniqueIDValue(), 11L);
        }
    }
}
